@import "../../../style/index.scss";

.menu{
  z-index: 9999;
  position: absolute;
  right: 0;
  perspective: 500;
  transform-origin: top;

  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-row-gap: 10px;
  grid-column-gap: 30px;

  padding: 5px 10px 30px 10px;

  background:linear-gradient(-45deg, transparent 18px, #ffffff 0);

  color: $black;

  @include animate;

  &__btn{
    background-color: #ffffff;
    border: 2px transparent solid;
    padding: 3px 5px 2px 10px;

    text-align: left;
    
    @include animate;
  }

  &__btn-active,
  &__btn:hover{
    border-left-color: $turquoise;
    text-decoration: underline;
  }
}

@media (max-width: $widthMobile){
  .menu{
    width: calc(100vw - 36px);
    min-width: 380px;
    right: 0;
    left: 0;
  }
}